What version of the WebKit does the YouTube app run on?

Discussion in '3DS - Homebrew Development and Emulators' started by I_AM_L_FORCE, Feb 21, 2015.

  1. I_AM_L_FORCE
    OP

    I_AM_L_FORCE Unban me from Discord

    Member
    929
    294
    Feb 19, 2015
    London
    I need to know this so I can hopefully port regionthree over, and experiment with the new3ds arm9 and arm11 execution (if I can gain enough privileges via youtube) EDIT: Also, is this SKATER or SPIDER, or something else?
     
  2. Technicmaster0

    Technicmaster0 GBAtemp Psycho!

    Member
    3,283
    680
    Oct 22, 2011
    Gambia, The
    Regionthree won't work with the YT app the way it currently works because you Downloadplay has to be run in the background.
     
  3. WulfyStylez

    WulfyStylez SALT/Bemani Princess

    Member
    1,149
    2,609
    Nov 3, 2013
    United States
    I don't wanna sound harsh, but if you can't answer these questions yourself you probably don't have any hope of pulling this off. To answer your questions, though, the youtube app's user agent reports that it's "1.7498". If this correlates with the main browser at all, that'd mean that its webkit version is the same as the 4.0.0-4.5.0 browser. This is actually pretty unlikely, though. You'll want to comb through its CROs to see if you can determine a specific webkit version.

    Also it's not SKATER or Spider. It's YouTube. You'll have to find new (or equivalent) ROP gadgets that are YouTube-specific.
     
  4. I_AM_L_FORCE
    OP

    I_AM_L_FORCE Unban me from Discord

    Member
    929
    294
    Feb 19, 2015
    London
    I know, I just wanna run tests anyway. Never said it'd ever work